<div class="p-2 text-right">
    <button type="submit" class="btn btn-indigo mg-l-10 rounded" style="white-space: nowrap;" id="new-entry" data-i18n="New task">New task</button>
</div>
<ul>
    {% for entry in data %}
    {% if entry.entry_id != "new" %}
    <li data-selector="list-entry" class="task-element tickets-card d-flex justify-content-start align-items-stretch {{'active' if entry.entry_id == current_task_id }}" id="{{entry.entry_id}}" style="height: 100%;">
        <div class="w-100 d-flex flex-column h-100">
            {% if entry.entry_data.due_date %}
            <div class="d-flex  alert alert-danger hidden">
                <div class="text-muted text-flex mt-auto">
                    Fälligkeit <i class="far fa-clock"></i> {{entry.entry_data.due_date | datenotime}}
                </div>
            </div>
            {% endif %}

            <div class="d-flex align-items-center" style="border-bottom: 1px solid #dddddd; padding-bottom: 5px;">
                <h5 class="ellipsis mb-0 flex-grow-1" style="width: 80%;">
                    <a class="text-muted" target="_blank" href="./?queue_id={{entry.entry_data.queue_id}}&task_id={{entry.entry_id}}">{{entry.entry_data.title}}</a>
                </h5>


                <!--                <div class="action-dropdown dropdown">-->
                <!--                    <button type="button" class="dropdown-toggle" id="dropdownMenuButtonc0da7748-2bff-48f3-a785-6669d9fc1072" onclick="toggleDropdown('c0da7748-2bff-48f3-a785-6669d9fc1072')" aria-haspopup="true" aria-expanded="false">-->
                <!--                        <i class="icon ion-ios-more"></i>-->
                <!--                    </button>-->
                <!--                    <div class="dropdown-menu dropdown-menu-right" id="dropdownc0da7748-2bff-48f3-a785-6669d9fc1072" style="display: none; position: absolute;">-->
                <!--                        <a class="dropdown-item" href="#" data-id="c0da7748-2bff-48f3-a785-6669d9fc1072" data-name="quickaction_assigntome_search">Mir zuweisen</a>-->
                <!--                        <a class="dropdown-item" href="#" data-id="c0da7748-2bff-48f3-a785-6669d9fc1072" data-name="quickaction_planned_search">Geplant</a>-->
                <!--                        <a class="dropdown-item" href="#" data-id="c0da7748-2bff-48f3-a785-6669d9fc1072" data-name="quickaction_inprogress_search">In Bearbeitung</a>-->
                <!--                        <a class="dropdown-item" href="#" data-id="c0da7748-2bff-48f3-a785-6669d9fc1072" data-name="quickaction_pending_search">Wartend</a>-->
                <!--                        <a class="dropdown-item" href="#" data-id="c0da7748-2bff-48f3-a785-6669d9fc1072" data-name="quickaction_done_search">Erledigt</a>-->
                <!--                        <a class="dropdown-item" href="#" data-id="c0da7748-2bff-48f3-a785-6669d9fc1072" data-name="quickaction_canceled_search">Verwerfen</a>-->
                <!--                    </div>-->
                <!--                </div>-->

                <div class="dropdown">
                    <button type="button" class="dropdown-toggle" data-toggle="dropdown" data-quickactiondropdownbutton="{{entry.entry_id}}" aria-haspopup="true" aria-expanded="false">
                        <i class="icon ion-ios-more"></i>
                    </button>
                    <div data-quickactiondropdownmenu="{{entry.entry_id}}" class="dropdown-menu" aria-labelledby="dLabel">
                        <a class="dropdown-item" href="#" data-taskid="{{entry.entry_id}}" data-quickaction-assigntome="quickaction_assigntome_search">Mir zuweisen</a>
                        <a class="dropdown-item" href="#" data-taskid="{{entry.entry_id}}" data-quickaction-set-status="planned">Geplant</a>
                        <a class="dropdown-item" href="#" data-taskid="{{entry.entry_id}}" data-quickaction-set-status="inprogress">In Bearbeitung</a>
                        <a class="dropdown-item" href="#" data-taskid="{{entry.entry_id}}" data-quickaction-set-status="pending">Wartend</a>
                        <a class="dropdown-item" href="#" data-taskid="{{entry.entry_id}}" data-quickaction-set-status="done">Erledigt</a>
                        <a class="dropdown-item" href="#" data-taskid="{{entry.entry_id}}" data-quickaction-set-status="canceled">Verwerfen</a>
                    </div>
                </div>
            </div>

            <!-- Tags -->
            <div class="d-flex justify-content-between mt-auto" style="padding-top: 5px;">
                <div class="tags text-flex text-muted flex-grow-1 me-3" style="flex-basis: 0;">
                    Resourcen: <br>
                    {{entry.entry_data.resource_data.name}}
                    {% for id, tag in entry.entry_data.resource_data.tags %}
                    <span class="badge badge-data-tags">{{tag}}</span>
                    {% endfor %}
                </div>

                <div class="tags text-flex text-muted flex-grow-1 me-3" style="flex-basis: 0;">
                    Tags: <br>
                    {% for tag in entry.entry_data.tags %}
                    <span class="badge badge-data-tags">{{tag}}</span>
                    {% endfor %}
                </div>

                <div class="text-flex text-muted flex-grow-1 text-left me-3" style="flex-basis: 0;">
                    <span class="badge badge-secondary badge_{{entry.entry_data.status}} fixed-width-status" data-i18n="{{entry.entry_data.status}}">{{entry.entry_data.status}}</span><br>
                    {% if entry.entry_data.assigned_to|is_array %}
                    {% for assignee in entry.entry_data.assigned_to %}
                    <i class="far fa-user"></i> {{assignee}}
                    {% endfor %}
                    {% endif %}
                </div>
            </div>
        </div>
    </li>
    {% endif %}
    {% endfor %}
</ul>
